lev

## Class LByteChannel

- java.lang.Object
- - lev.LImport
  - - lev.LByteChannel

-     public class LByteChannel
      extends LImport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LByteChannel()`
    `LByteChannel(byte[] input)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `byte[]` | `extract(int read)` Reads in amount of bytes and converts them to integers. Moves position forward.
    `java.lang.Boolean` | `isDone()`
    `void` | `jumpBack(int amount)` Moves position back an amount of bytes.
    `void` | `openStream(byte[] input)`
    `void` | `openStream(LShrinkArray in)`
    `long` | `pos()`
    `void` | `pos(long pos)`
    `int` | `read()` Reads in one integer and moves the position up one
    `void` | `skip(int skip)` Bumps the position the desired offset.

    - ### Methods inherited from class lev.LImport

      `correctForCompression, extract, extractAllBytes, extractAllString, extractBool, extractFloat, extractInt, extractInt, extractInts, extractInts, extractIntSigned, extractLine, extractLong, extractString, extractString, extractString, extractUntil, extractUntil, extractUntil, extractUntil, extractUntil, getAllBytes, getBytes, getInts, getString, getString, scanTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LByteChannel

          public LByteChannel()

    - #### LByteChannel

          public LByteChannel(byte[] input)

      Parameters:
        `input` -

  - ### Method Detail

    - #### openStream

          public final void openStream(byte[] input)

      Parameters:
        `input` -

    - #### openStream

          public final void openStream(LShrinkArray in)

      Parameters:
        `in` -

    - #### read

          public int read()

      Description copied from class: `LImport`
      Reads in one integer and moves the position up one
      Overrides:
        `read` in class `LImport`
      Returns:

    - #### pos

          public void pos(long pos)

      Specified by:
        `pos` in class `LImport`
      Parameters:
        `pos` -

    - #### pos

          public long pos()

      Specified by:
        `pos` in class `LImport`
      Returns:

    - #### close

          public void close()

      Specified by:
        `close` in class `LImport`

    - #### available

          public int available()

      Specified by:
        `available` in class `LImport`
      Returns:

    - #### isDone

          public java.lang.Boolean isDone()

      Overrides:
        `isDone` in class `LImport`
      Returns:

    - #### skip

          public void skip(int skip)

      Description copied from class: `LImport`
      Bumps the position the desired offset.
      Overrides:
        `skip` in class `LImport`
      Parameters:
        `skip` - Desired offset.

    - #### jumpBack

          public void jumpBack(int amount)

      Description copied from class: `LImport`
      Moves position back an amount of bytes.
      Overrides:
        `jumpBack` in class `LImport`
      Parameters:
        `amount` -

    - #### extract

          public byte[] extract(int read)

      Description copied from class: `LImport`
      Reads in amount of bytes and converts them to integers.
      Moves position forward.
      Specified by:
        `extract` in class `LImport`
      Parameters:
        `read` -
      Returns: